From b7b2cad63cc21737f7de325094b82baff8cd1fa9 Mon Sep 17 00:00:00 2001
Message-Id: <b7b2cad63cc21737f7de325094b82baff8cd1fa9.1731619134.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 14 Nov 2024 21:18:19 +0000
Subject: [PATCH] gnu: Add julia-initialvalues.

* gnu/packages/julia-xyz.scm (julia-initialvalues): New variable.

Change-Id: I926f04a907377a6aee255adf6e4dcc813766cdf0
---
 gnu/packages/julia-xyz.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 77385ee6e0..f365b8bf55 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -3311,6 +3311,30 @@ (define-public julia-inifile
 interfaces with @file{.ini} files.")
     (license license:expat)))
 
+(define-public julia-initialvalues
+  (package
+    (name "julia-initialvalues")
+    (version "0.3.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaFolds/InitialValues.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "13gihn824c3vxrpm6vg06vr6zmmy43j1qyya48jig8rdkjp820n6"))))
+    (build-system julia-build-system)
+    (arguments
+     (list #:tests? #f)) ; Cycle with BangBang.jl
+    (home-page "https://github.com/JuliaFolds/InitialValues.jl")
+    (synopsis
+     "Canonical default initial values and identity elements for Julia")
+    (description
+     "This package provides a canoncial set of default initial values
+and identity elements for Julia.")
+    (license license:expat)))
+
 (define-public julia-inlinestrings
   (package
     (name "julia-inlinestrings")

base-commit: c1cb7f1031c5dde2a260d8d8ad7547d6c79cc532
-- 
2.34.1

